#include <stdio.h>

int main()
{
    int n;
    scanf("%d",&n);
    for (int i=0;i<n;i++)
    {
        int prvi,drugi;
        scanf("%d%d",&prvi,&drugi);
    }
    int res=n/2+n%2-1;
    printf("%d",res);
    return 0;
}